Subject: Re: bug#57152: 29.0.50; Emacs executable isn't rebuilt when loaddefs.el is modified

From: Gerd Möllmann <[email-masked]>
Date: Fri, 19 Aug 2022 11:24:36 +0200

On 22-08-18 14:46 , Lars Ingebrigtsen wrote:
> So I just went ahead and pushed it. :-) 

Oh no :-).

> There is one pretty strange thing though, which I can't explain. I once
>> got an error "trying to load incoherent eln" which is mentioned in
>> bug#45103.  I can't say much else about this though, not even what the
>> cause of this might be.  It was a build with -j8 if that matters.  Maybe
>> elns are modified during dumping, so that a second dump cannot be done?
>> But that wouldn't explain why it succeeds most of the time.  No idea,
>> and not easily reproducible, alas.
> Yes, I've seen those, too, but very seldom (like -- once a month?), and
> I haven't been able to reproduce it.

If anyone reading this has any idea, be it just a gut feeling or 
something, how to reproduce this failure, even if not 100% reliable, I'd 
be grateful to hear it.